<?php

declare(strict_types=1);

namespace mirzaev\gavno\controllers;

// Файлы проекта
use mirzaev\gavno\views\manager;
use mirzaev\gavno\models\core as models;
use mirzaev\gavno\models\account_model as account;
use mirzaev\gavno\models\session_model as session;

// Библиотека для ArangoDB
use ArangoDBClient\Document as _document;

// Фреймворк PHP
use mirzaev\minimal\controller;

// Фреймворк ВКонтакте
use mirzaev\vk\core as vk;
use mirzaev\vk\robots\user as robot;

/**
 * Ядро контроллеров
 *
 * @package mirzaev\gavno\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class core extends controller
{
  /**
   * Переменные окружения
   */
  protected robot $vk;

  /**
   * Переменные окружения
   */
  protected array $variables = [];

  /**
   * Конструктор
   *
   * @return void
   */
  public function __construct() {
    parent::__construct();

    // Инициализация ядра моделей (соединение с базой данных...)
    new models();

    // Инициализация журнала ошибок
    $this->variables['errors'] = [
      'vk' => []
    ];

    // Инициализация препроцессора представления
    $this->view = new manager;
 }
}
