<?php

declare(strict_types=1);

namespace mirzaev\gavno\controllers;

// Файлы проекта
use mirzaev\gavno\controllers\core,
	mirzaev\gavno\models\views;

/**
 * Контроллер основной страницы
 *
 * @package mirzaev\gavno\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class index_controller extends core
{
  /**
   * Главная страница
   *
   * @param array $parameters Параметры запроса
   */
  public function index(array $parameters = []): ?string
  {
    // Инициализация шутника
    $this->variables['troller'] = [
			'instasamka' => rand(1, 11),
      'southern' => rand(1, 3),
      'vk' => (bool) rand(0, 1),
      'whatsapp' => (bool) rand(0, 1),
      'iphone' => (bool) rand(0, 1),
		];

		// Запись просмотра
		views::increase();

		// Инициализация счётчика просмотров
		$this->variables['views'] = [
			'day' => views::day(),
			'week' => views::week(),
			'month' => views::month(),
			'all' => views::all(),
			'last' => views::last(10)
		];

    // Генерация представления
    return $this->view->render(DIRECTORY_SEPARATOR . 'index.html', $this->variables);
  }
}
